Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159141 - RFE: add a GUI for working with jhbuild
Summary: RFE: add a GUI for working with jhbuild
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-30 16:03 UTC by Dave Malcolm
Modified: 2013-03-01 09:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-01 09:01:19 UTC


Attachments (Terms of Use)

Description Dave Malcolm 2005-05-30 16:03:07 UTC
jhbuild is a build system used by the GNOME project (and others) for building a
stack of modules (with interdependencies); see the jhbuild module in GNOME CVS.

It provides a relatively easy way to build the entire GNOME development stack on
a test machine and is very useful for getting new hackers involved in GNOME.

It would be awesome to have a jhbuild plugin for Eclipse, I think it would be a
big boon for Eclipse in the GNOME community.

File->New Project->Software Stack (jhbuild)
You would then let the user choose from a list of modulesets (e.g. GNOME 2.8,
GNOME 2.10, GNOME 2.12 etc).
jhbuild can grab modules from CVS, or from tarballs as necessary.
The UI could show all of the modules in the moduleset, build them as
appropriate. You could build individual modules, or all of the dependencies of a
module.

(typically you want to make local modifications to the moduleset, e.g. when
adding gnome-keyring support to evolution, I'll want to add that dependency in
the moduleset graph). 

Ideally there would be a verb to "Run" the moduleset, which would pop up an
Xnest window with the built-with-jhbuild gdm login prompt running in it; you
would be able to set breakpoints in the whole of the desktop.

Comment 1 Fedora Admin XMLRPC Client 2010-08-31 15:58:55 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Alexander Kurtakov 2013-03-01 09:01:19 UTC
This bug is opened for 8 years without anyone stepping in to do anything. Considering that there is pretty good autotools support in CDT nowadays there are very few chances of anything to happen.
If anyone wants please reopen when someone is ready to do actual work.


Note You need to log in before you can comment on or make changes to this bug.